Method: projects.locations.getSharedRegionalCertificateAuthority

Mendapatkan detail informasi otoritas sertifikat regional bersama untuk instance Memorystore.

Permintaan HTTP


GET https://memorystore.googleapis.com/v1beta/{name=projects/*/locations/*/sharedRegionalCertificateAuthority}

URL ini menggunakan sintaksis gRPC Transcoding.

Parameter jalur

Parameter
name

string

Wajib. Nama resource certificate authority regional menggunakan formulir: projects/{project}/locations/{location}/sharedRegionalCertificateAuthority dengan locationId merujuk ke region Google Cloud.

Isi permintaan

Isi permintaan harus kosong.

Isi respons

Shared regional certificate authority untuk instance.

Jika berhasil, isi respons memuat data dengan struktur berikut:

Representasi JSON
{
  "name": string,

  // The following is a list of mutually exclusive fields. At most one of the
  // fields will be set in a response:
  "managedServerCa": {
    object (RegionalManagedCertificateAuthority)
  }
  // End of mutually exclusive fields.
}
Kolom
name

string

ID. Nama unik resource dalam cakupan ini, termasuk project dan lokasi, menggunakan formulir: projects/{project}/locations/{location}/sharedRegionalCertificateAuthority

Informasi ca server. Berikut adalah daftar kolom yang bersifat eksklusif satu sama lain. Maksimal satu kolom akan ditetapkan dalam respons:
managedServerCa

object (RegionalManagedCertificateAuthority)

Rantai sertifikat CA untuk autentikasi server yang dikelola Memorystore.

Akhir kolom yang saling eksklusif.

Cakupan otorisasi

Memerlukan salah satu cakupan OAuth berikut:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/memorystore.read-write

RegionalManagedCertificateAuthority

Rantai sertifikat CA untuk autentikasi server yang dikelola Memorystore.

Representasi JSON
{
  "caCerts": [
    {
      object (RegionalCertChain)
    }
  ]
}
Kolom
caCerts[]

object (RegionalCertChain)

Rantai sertifikat CA berenkode PEM untuk autentikasi server yang dikelola Memorystore

RegionalCertChain

Sertifikat yang membentuk rantai CA, dari urutan leaf hingga root.

Representasi JSON
{
  "certificates": [
    string
  ]
}
Kolom
certificates[]

string

Sertifikat yang membentuk rantai CA, dari urutan leaf hingga root.